org.apache.fop.render.pcl.fonts

## Class PCLSoftFont

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLSoftFont

-     public class PCLSoftFont
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLSoftFont(int fontID, Typeface font, boolean multiByteFont)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.Integer,int[]>` | `getCharacterOffsets()`
    `int` | `getCharCode(char ch)`
    `int` | `getCharCount()`
    `int` | `getCharIndex(char ch)`
    `int` | `getCmapGlyphIndex(int unicode)`
    `int` | `getFontID()`
    `java.io.InputStream` | `getFontStream()`
    `java.util.Map<java.lang.Character,java.lang.Integer>` | `getMappedChars()`
    `int` | `getMtxCharIndex(int unicode)`
    `OpenFont` | `getOpenFont()`
    `FontFileReader` | `getReader()`
    `Typeface` | `getTypeface()`
    `int` | `getUnicodeCodePoint(int unicode)`
    `boolean` | `hasPreviouslyWritten(int unicode)`
    `void` | `setCharacterOffsets(java.util.Map<java.lang.Integer,int[]> charOffsets)`
    `void` | `setFontStream(java.io.InputStream fontStream)`
    `void` | `setMappedChars(java.util.Map<java.lang.Character,java.lang.Integer> mappedChars)`
    `void` | `setMtxCharIndexes(java.util.Map<java.lang.Integer,java.lang.Integer> charMtxPositions)`
    `void` | `setOpenFont(OpenFont openFont)`
    `void` | `setReader(FontFileReader reader)`
    `void` | `writeCharacter(int unicode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLSoftFont

          public PCLSoftFont(int fontID,
                             Typeface font,
                             boolean multiByteFont)

  - ### Method Detail

    - #### getTypeface

          public Typeface getTypeface()

    - #### getFontID

          public int getFontID()

    - #### setCharacterOffsets

          public void setCharacterOffsets(java.util.Map<java.lang.Integer,int[]> charOffsets)

    - #### getCharacterOffsets

          public java.util.Map<java.lang.Integer,int[]> getCharacterOffsets()

    - #### getOpenFont

          public OpenFont getOpenFont()

    - #### setOpenFont

          public void setOpenFont(OpenFont openFont)

    - #### getFontStream

          public java.io.InputStream getFontStream()

    - #### setFontStream

          public void setFontStream(java.io.InputStream fontStream)

    - #### getReader

          public FontFileReader getReader()

    - #### setReader

          public void setReader(FontFileReader reader)

    - #### writeCharacter

          public void writeCharacter(int unicode)

    - #### getUnicodeCodePoint

          public int getUnicodeCodePoint(int unicode)

    - #### hasPreviouslyWritten

          public boolean hasPreviouslyWritten(int unicode)

    - #### getMtxCharIndex

          public int getMtxCharIndex(int unicode)

    - #### getCmapGlyphIndex

          public int getCmapGlyphIndex(int unicode)

    - #### setMtxCharIndexes

          public void setMtxCharIndexes(java.util.Map<java.lang.Integer,java.lang.Integer> charMtxPositions)

    - #### getCharCount

          public int getCharCount()

    - #### setMappedChars

          public void setMappedChars(java.util.Map<java.lang.Character,java.lang.Integer> mappedChars)

    - #### getMappedChars

          public java.util.Map<java.lang.Character,java.lang.Integer> getMappedChars()

    - #### getCharIndex

          public int getCharIndex(char ch)

    - #### getCharCode

          public int getCharCode(char ch)

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.